org.omg.CORBA

## Class PolicyHelper

- java.lang.Object
- - org.omg.CORBA.PolicyHelper

    public abstract class PolicyHelper
    extends Object

The Helper for `Policy`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/PolicyHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ../../../../../src/share/classes/org/omg/PortableServer/corba.idl Saturday, July 17, 1999 12:26:20 AM PDT

### Constructor Summary

Constructors
Constructor and Description
`PolicyHelper()`

### Method Summary

Methods
`static Policy` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, Policy that)`
`static Policy` `narrow(Object obj)`
`static Policy` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, Policy value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PolicyHelper

    public PolicyHelper()

### Method Detail

#### insert

    public static void insert(Any a,
              Policy that)

#### extract

    public static Policy extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static Policy read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
             Policy value)

#### narrow

    public static Policy narrow(Object obj)

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.